
<!-- Page content -->
<div class="container-fluid mt--5">
  <!-- Table -->
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header border-0">
          <div class="row flex-row">
          <h3 class="mb-0">Users</h3>
          <button class="btn btn-icon btn-2 btn-primary btn-style" data-toggle="modal" data-target="#addUser" type="button">
              <i class="material-icons"> add </i> <p style="margin-top: 15px; margin-right: 3px;">User</p>
            </button>
        </div>
        </div>
        <div class="table-responsive">
          <table class="table align-items-center table-flush">
            <thead class="thead-light">
              <tr>
                <th scope="col">email</th>
                <th scope="col">username</th>
                <th></th>
              </tr>
            </thead>
            <tbody *ngFor="let user of listUsers; let i = index;">
              <tr>
                <th scope="row">
                  <div class="media align-items-center">
                    <div class="media-body">
                      <span class="mb-0 text-sm">{{user.email}}</span>
                    </div>
                  </div>
                </th>
                <td>
                  <div class="media align-items-center">
                    <div class="media-body">
                      <span class="mb-0 text-sm">{{user.username}}</span>
                    </div>
                  </div>
                </td>
                <td>
                    <div class="actions">
                        <a href="javascript:void(0)" >
                          <i matTooltip="logs" class="ni ni-single-copy-04 text-primary icon pt-3"></i>
                        </a>
                    </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal" id="addUser">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">

        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Add User</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>

        <!-- Modal body -->
        <div class="modal-body">
          <form [formGroup]="userForm">
            <div class="row">
                <div class="col-md-6 form-group">

                    <mat-form-field appearance="outline" class="input-full">
                          <mat-label>Email</mat-label>
                        <input formControlName="email" matInput placeholder="Email">
                        <mat-error *ngIf="userForm.hasError('required', 'email')">Email is <b>required</b></mat-error>
                        <mat-error *ngIf="userForm.hasError('email', 'email') && !userForm.hasError('required', 'email')">Email is <b>not valid</b></mat-error>
                      </mat-form-field>
                </div>
                <div class="col-md-6  form-group">
                  <mat-form-field appearance="outline" class="input-full">
                        <mat-label>username</mat-label>
                      <input formControlName="username" matInput placeholder="Username">
                      <mat-error *ngIf="userForm.hasError('required', 'username')">Username is <b>required</b></mat-error>
                    </mat-form-field>
              </div>
              </div>
              <div class="row">
              <div class="col-md-12  form-group">
                  <mat-form-field appearance="outline" class="input-full">
                        <mat-label>Password</mat-label>
                      <input formControlName="password" class="example-right-align" type="password" [type]="hide ? 'password' : 'text'" matInput placeholder="Password">
                      <mat-icon matSuffix [attr.aria-label]="'Hide password'" style="cursor: pointer;" [attr.aria-pressed]="hide" (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                      <mat-error *ngIf="userForm.hasError('required', 'password')">Password is <b>required</b></mat-error>
                      <mat-error *ngIf="userForm.hasError('minlength', 'password') && !userForm.hasError('required', 'password')"> Required <b>8 caracters</b></mat-error>
                    </mat-form-field>
              </div>
          </div>

          </form>
        </div>

        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="addUser()">Create</button>
        </div>

      </div>
    </div>
  </div>
